Index: palm/trunk/TESTS/cases/example_cbl/MONITORING/example_cbl_rc
===================================================================
--- palm/trunk/TESTS/cases/example_cbl/MONITORING/example_cbl_rc	(revision 3485)
+++ palm/trunk/TESTS/cases/example_cbl/MONITORING/example_cbl_rc	(revision 3540)
@@ -1,10 +1,10 @@
 
  ******************************    --------------------------------------------
- * PALM 5.0  Rev: 3133:31     *    atmosphere - run without 1D - prerun
+ * PALM 6.0  Rev: 3527M       *    atmosphere - run without 1D - prerun
  ******************************    --------------------------------------------
 
- Date:                 18-07-18    Run:       example_cbl_4
- Time:                 19:19:17    Run-No.:   00
- Run on host:            p5imuk
+ Date:               2018-11-15    Run:       example_cbl__intel_default__4     
+ Time:                 21:35:24    Run-No.:   00
+ Run on host:        intel_defa
  Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
  ------------------------------------------------------------------------------
@@ -20,5 +20,5 @@
  --> Scalar advection via Wicker-Skamarock-Scheme 5th order
  --> Loop optimization method: cache
- --> Time differencing scheme: runge-kutta-3
+ --> Time differencing scheme: runge-kutta-3       
  ------------------------------------------------------------------------------
 
@@ -37,5 +37,5 @@
  Grid length:      dx =      50.000 m    dy =      50.000 m
                 dz(1) =      50.000 m
-                dz(2) =    1000.000 m
+                dz(2) =     999.000 m
 
  Domain size:       x =   2000.000 m     y =   2000.000 m  z(u) =   2862.511 m
@@ -69,5 +69,5 @@
  ----------------------
 
- Topography: flat
+ Topography: flat                                    
 
 
@@ -77,11 +77,11 @@
                      p                    uv                                  pt
 
- B. bound.: p(0)     = p(1)   | uv(0)     = -uv(1)                | pt(0)     = pt(1)
+ B. bound.: p(0)     = p(1)   | uv(0)     = -uv(1)                | pt(0)     = pt(1)            
  T. bound.: p(nzt+1) = 0      | uv(nzt+1) = ug(nzt+1), vg(nzt+1)  | pt(nzt+1) = pt(nzt) + dpt/dz_
 
                      e
 
- B. bound.: e(0)     = e(1)
- T. bound.: e(nzt+1) = e(nzt) = e(nzt-1)
+ B. bound.: e(0)     = e(1)                                                                      
+ T. bound.: e(nzt+1) = e(nzt) = e(nzt-1)                                                         
 
  Bottom surface fluxes are used in diffusion terms at k=1
@@ -96,6 +96,6 @@
 
  Lateral boundaries:
-       left/right:  cyclic
-       north/south: cyclic
+       left/right:  cyclic              
+       north/south: cyclic              
 
 
@@ -127,8 +127,8 @@
 
     1D-Profiles:
-       Output format: netCDF 64bit offset
-
-
-       Profile: wtheta, w"theta", w*theta*, w*2, theta, theta*2,
+       Output format: netCDF 64bit offset                     
+
+
+       Profile: wtheta, w"theta", w*theta*, w*2, theta, theta*2,             
        Output every               900.00 s
        Time averaged over         600.00 s
@@ -136,9 +136,9 @@
 
     2D-Arrays:
-       Output format: netCDF 64bit offset
-
-
-       XY-cross-section  Arrays:  w, theta,
-       Output every               900.00 s
+       Output format: netCDF 64bit offset                     
+
+
+       XY-cross-section  Arrays:  w, theta,                                                            
+       Output every               900.00 s  
        Cross sections at k = /2/10/
        scalar-coordinates:   /75.0/475.0/ m
@@ -148,6 +148,6 @@
 
 
-       XZ-cross-section  Arrays:  w, theta,
-       Output every               900.00 s
+       XZ-cross-section  Arrays:  w, theta,                                                            
+       Output every               900.00 s  
        Cross sections at j = /20/
        scalar-coordinates:   /1000.0/ m
@@ -158,9 +158,9 @@
 
     2D-Arrays(time-averaged):
-       Output format: netCDF 64bit offset
-
-
-       XZ-cross-section  Arrays:  w,
-       Output every              1800.00 s
+       Output format: netCDF 64bit offset                     
+
+
+       XZ-cross-section  Arrays:  w,                                                                   
+       Output every              1800.00 s  
        Time averaged over         900.00 s
        Averaging input every       10.00 s
@@ -173,5 +173,5 @@
 
     Time series:
-       Output format: netCDF 64bit offset
+       Output format: netCDF 64bit offset                     
 
        Output every                 0.00 s
@@ -188,5 +188,6 @@
     Coriolis parameter  :   f      =  0.000119 1/s
                             f*     =  0.000084 1/s
-    Day of the year at model start :   day_init = 172
+
+    Day of the year at model start :   day_init      =     172
     UTC time at model start        :   time_utc_init = 43200.0 s
 