Index: palm/trunk/TESTS/cases/rans_tkee/INPUT/rans_tkee_p3d
===================================================================
--- palm/trunk/TESTS/cases/rans_tkee/INPUT/rans_tkee_p3d	(revision 3541)
+++ palm/trunk/TESTS/cases/rans_tkee/INPUT/rans_tkee_p3d	(revision 3541)
@@ -0,0 +1,67 @@
+ &initialization_parameters
+         nx = 31,   ny = 31,   nz = 96,
+         dx = 10.0, dy = 10.0, dz = 10.0,
+
+         dz_stretch_level = 2000.0, 
+
+         psolver = 'multigrid',
+         cycle_mg = 'w',
+         mg_cycles = 2,
+         mg_switch_to_pe0_level=-1,
+
+         most_method = 'newton',
+
+         initializing_actions = 'set_1d-model_profiles',
+         ug_surface = 3.0,
+         vg_surface = 0.0,
+
+         constant_flux_layer = .T.,
+
+         bc_pt_b = 'neumann',
+         bc_lr = 'dirichlet/radiation',
+
+         humidity = .F.,
+
+         topography = 'read_from_file',
+
+         time_utc_init    = 0.0,
+
+         rans_mode = .T.,
+         turbulence_closure = 'TKE-e',
+
+         e_init = 0.1,
+         e_min = 0.001,
+         neutral = .F.,
+         surface_heatflux = 0.001,
+
+         mixing_length_1d  = 'blackadar',
+         dissipation_1d    = 'prognostic',
+         end_time_1d       =  43200.0,
+         dt_run_control_1d =  43200.0,
+         dt_pr_1d          =  86400.0,
+/
+
+&runtime_parameters
+         end_time = 50.0,
+
+         create_disturbances       = .F.,
+
+!        DEFAULT OUTPUT
+         skip_time_data_output     =   0.0,
+         dt_data_output            =  10.0,
+
+!        TIME SERIES OUTPUT
+         dt_run_control            =  0.0,
+         dt_dots                   =  1.0,
+
+!        PROFILE OUTPUT
+         skip_time_dopr            =   0.0,
+         dt_dopr                   =  10.0,
+         averaging_interval_pr     =   0.0,
+         dt_averaging_input_pr     =   0.0,
+
+         data_output_pr = '#u', 'w"u"', 'w*u*', 'wu', 'u*2',
+                          '#v', 'w"v"', 'w*v*', 'wv', 'v*2',
+                          'w',  'w*2',
+                          '#e', 'e*', '#km', '#l',
+/
Index: palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc
===================================================================
--- palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc	(revision 3541)
+++ palm/trunk/TESTS/cases/rans_tkee/MONITORING/rans_tkee_rc	(revision 3541)
@@ -0,0 +1,248 @@
+
+
+
+1D run control output:
+------------------------------
+
+ITER.   HH:MM:SS    DT      UMAX   VMAX    U*   ALPHA   ENERG.
+-------------------------------------------------------------
+      0 00:00:00    0.01    3.00   0.10  0.100   45.0     4.45
+   3325 12:00:04   12.30    3.36   0.87  0.127   26.2     4.48
+
+ ******************************    --------------------------------------------
+ * PALM 6.0  Rev: 3527:35     *    atmosphere - run with 1D - prerun
+ ******************************    --------------------------------------------
+
+ Date:               2018-11-20    Run:       rans_tkee__intel_default__4       
+ Time:                 16:32:26    Run-No.:   00
+ Run on host:        intel_defa
+ Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
+ ------------------------------------------------------------------------------
+
+ Numerical Schemes:
+ -----------------
+
+ --> Use the TKE-e turbulence closure (RANS mode).
+ --> Use the boussinesq approximation for the model equations.
+ --> Solve perturbation pressure via multigrid method (w-cycle)
+     number of grid levels:                    4
+     Gauss-Seidel red/black iterations:        2
+     fixed number of multigrid cycles:           2
+     perturbation pressure is calculated at every Runge-Kutta step
+ --> Momentum advection via Wicker-Skamarock-Scheme 5th order
+ --> Scalar advection via Wicker-Skamarock-Scheme 5th order
+ --> Loop optimization method: cache
+ --> Time differencing scheme: runge-kutta-3       
+ ------------------------------------------------------------------------------
+
+
+ Run time and time step information:
+ ----------------------------------
+
+ Timestep:             variable     maximum value: 20.000 s    CFL-factor: 0.90
+ Start time:              0.000 s
+ End time:               50.000 s
+
+
+ Computational grid and domain size:
+ ----------------------------------
+
+ Grid length:      dx =      10.000 m    dy =      10.000 m
+                dz(1) =      10.000 m
+                dz(2) =     999.000 m
+
+ Domain size:       x =    320.000 m     y =    320.000 m  z(u) =    965.000 m
+
+
+
+ Number of gridpoints (x,y,z):  (0:  31, 0:  31, 0:  97)
+ Subdomain size (x,y,z):        (    16,     16,     98)
+
+
+    Characteristic levels of the geo. wind component ug:
+
+       Height:         0.0     0.0  m
+       ug:            3.00    3.00  m/s
+       Gradient:    ------    0.00  1/100s
+       Gridpoint:        0       0
+
+    Characteristic levels of the geo. wind component vg:
+
+       Height:         0.0     0.0  m
+       vg:            0.00    0.00  m/s
+       Gradient:    ------    0.00  1/100s
+       Gridpoint:        0       0
+
+
+ Topography information:
+ ----------------------
+
+ Topography: read_from_file                          
+ Topography grid definition convention:
+ cell center (scalar grid points)
+
+
+
+ Boundary conditions:
+ -------------------
+
+                     p                    uv                                  pt
+
+ B. bound.: p(0)     = p(1)   | uv(0)     = -uv(1)                | pt(0)     = pt(1)            
+ T. bound.: p(nzt+1) = 0      | uv(nzt+1) = ug(nzt+1), vg(nzt+1)  | pt(nzt+1) = pt(nzt) + dpt/dz_
+
+                     e
+
+ B. bound.: e(0)     = e(1)                                                                      
+ T. bound.: e(nzt+1) = e(nzt) = e(nzt-1)                                                         
+
+ Bottom surface fluxes are used in diffusion terms at k=1
+       Predefined constant heatflux:    0.001000 K m/s
+
+
+    Constant flux layer between bottom surface and first computational u,v-level:
+
+       z_mo =   5.00 m   z0 = 0.1000 m   z0h = 0.10000 m   kappa = 0.40
+       Rif value range:     -20.00 <= rif <= 20.00
+
+
+ Lateral boundaries:
+       left/right:  dirichlet/radiation 
+       north/south: cyclic              
+
+       use_cmax: T
+       pt damping layer width =     0.00 m, pt damping factor = 0.0000
+
+
+ Initial profiles:
+ ----------------
+
+    Characteristic levels of the initial temperature profile:
+
+       Height:           0.0     0.0  m
+       Temperature:   300.00  300.00  K
+       Gradient:      ------    0.00  K/100m
+       Gridpoint:          0       0
+
+
+ List output:
+ -----------
+
+    1D-Profiles:
+       Output every             9999999.90 s
+
+
+ Data output:
+ -----------
+
+
+    1D-Profiles:
+       Output format: netCDF 64bit offset                     
+
+
+       Profile: u, w"u", w*u*, wu, u*2, v, w"v", w*v*, wv, v*2, w, w*2,      
+
+              : e, e*, km, l,                                                
+       Output every                10.00 s
+       Time averaged over           0.00 s
+       Averaging input every        0.00 s
+
+    Time series:
+       Output format: netCDF 64bit offset                     
+
+       Output every                 1.00 s
+
+ ------------------------------------------------------------------------------
+
+
+ Physical quantities:
+ -------------------
+
+    Geograph. latitude  :   latitude  = 52.5 degr
+    Geograph. longitude :   longitude = 13.3 degr
+    Angular velocity    :   omega  = 0.729E-04 rad/s
+    Coriolis parameter  :   f      =  0.000116 1/s
+                            f*     =  0.000089 1/s
+
+    Day of the year at model start :   day_init      =     172
+    UTC time at model start        :   time_utc_init =     0.0 s
+
+    Gravity             :   g      =  9.8 m/s**2
+
+    Reference state used in buoyancy terms: initial_profile
+
+
+ Cloud physics quantities / methods:
+ ----------------------------------
+
+
+
+ LES / Turbulence quantities:
+ ---------------------------
+
+    initial TKE is prescribed as  0.10E+00 (m/s)**2
+    TKE is not allowed to fall below  0.10E-02 (m/s)**2
+    Mixing length is limited to 1.80 * z
+    RANS-mode constants: c_0 =   0.55000
+                         c_1 =   1.44000
+                         c_2 =   1.92000
+                         c_3 =   1.44000
+                         c_4 =   0.00000
+                         sigma_e    =   1.00000
+                         sigma_diss =   1.30000
+
+
+ Actions during the simulation:
+ -----------------------------
+
+
+
+ 1D-Model parameters:
+ -------------------
+
+    Simulation time:                    43200.0 s
+    Run-controll output every:          43200.0 s
+    Vertical profile output every:      86400.0 s
+    Mixing length calculation:         blackadar           
+    Dissipation calculation:           prognostic          
+
+
+
+ *** no user-defined variables found
+
+ ------------------------------------------------------------------------------
+
+
+
+Run-control output:
+------------------
+
+RUN  ITER. HH:MM:SS.SS    DT(E)     UMAX     VMAX     WMAX     U*    W*      THETA*     Z_I     ENERG.   DISTENERG    DIVOLD     DIVNEW     UMAX(KJI)    VMAX(KJI)    WMAX(KJI)   ADVECX   ADVECY   MGCYC
+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
+  0      0 00:00:00.00   0.0200A   3.3592   0.8728   0.0000  0.127  0.00   0.000E+00      0.  0.442E+01  0.442E-02  0.000E+00  0.000E+00   20  29  29    6  29  29    0  29  29    0.000    0.000       0
+  0      1 00:00:00.02   0.0400A   3.3802   1.7430  -1.2281  0.153  0.00  -0.390E-02     10.  0.444E+01  0.460E-02  0.155E-03  0.701E-04   19   7  19    2  14  13    2  26  29    0.000    0.000       2
+  0      2 00:00:00.06   0.0800A   3.3832   1.7620  -1.3655  0.151  0.20  -0.421E-02     10.  0.444E+01  0.493E-02  0.874E-04  0.359E-04   19   6  21    2  14  13    2  26  29    0.000    0.000       2
+  0      3 00:00:00.14   0.1600A   3.3844   1.7515   1.3704  0.150  0.00  -0.428E-02      0.  0.444E+01  0.496E-02  0.977E-04  0.323E-04   19   5  22    2  14  13    2  13   1    0.000    0.000       2
+  0      4 00:00:00.30   0.3200A   3.3845   1.7361   1.3742  0.150  0.00  -0.429E-02      0.  0.444E+01  0.456E-02  0.521E-04  0.687E-05   19   5  24    2  14  13    2  13   1    0.000    0.000       2
+  0      5 00:00:00.62   0.6400A   3.3838   1.7102   1.3740  0.149  0.00  -0.432E-02      0.  0.444E+01  0.437E-02  0.385E-04  0.278E-04   19   4  26    2  14  13    2  13   1    0.000    0.000       2
+  0      6 00:00:01.26   1.2800A   3.3833   1.6639   1.3659  0.148  0.00  -0.437E-02      0.  0.444E+01  0.430E-02  0.704E-04  0.332E-04   19   1   0    2  14  13    2  13   1    0.000    0.000       2
+  0      7 00:00:02.54   2.5600A   3.3827   1.5852   1.3337  0.147  0.39  -0.449E-02     30.  0.444E+01  0.420E-02  0.618E-04  0.165E-04   19   1   0    2  14  13    2  13   1    0.000    0.000       2
+  0      8 00:00:05.09   2.6600A   3.3826   1.4669   1.2462  0.145  0.00  -0.484E-02     20.  0.444E+01  0.421E-02  0.144E-03  0.499E-04   20   3  31    2  14  13    2  13   1    0.000    0.000       2
+  0      9 00:00:07.75   2.6200D   3.3825   1.4246   1.2019  0.142  0.00  -0.540E-02      0.  0.444E+01  0.399E-02  0.137E-03  0.424E-04   20   3   0    2  17   0    2  13   1    0.000    0.000       2
+  0     10 00:00:10.37   2.6600A   3.3822   1.4068   1.2181  0.140  0.00  -0.536E-02      0.  0.444E+01  0.380E-02  0.971E-04  0.324E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
+  0     11 00:00:13.03   2.6600A   3.3818   1.3947   1.2421  0.138  0.00  -0.554E-02      0.  0.444E+01  0.372E-02  0.913E-04  0.361E-04   20   2   0    2  17   0    1  12   2    0.000    0.000       2
+  0     12 00:00:15.69   2.6600A   3.3818   1.3891   1.2528  0.137  0.00  -0.573E-02      0.  0.444E+01  0.366E-02  0.869E-04  0.301E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2
+  0     13 00:00:18.35   2.6600A   3.3820   1.3872   1.2552  0.135  0.00  -0.581E-02      0.  0.444E+01  0.362E-02  0.866E-04  0.283E-04   19   6  23    2  17   0    1  12   2    0.000    0.000       2
+  0     14 00:00:21.01   2.6600A   3.3822   1.3883   1.2530  0.134  0.00  -0.617E-02      0.  0.444E+01  0.357E-02  0.864E-04  0.278E-04   19   6  23    2  17   0    1  12   2    0.000    0.000       2
+  0     15 00:00:23.67   2.6600A   3.3824   1.3916   1.2483  0.133  0.00  -0.643E-02      0.  0.444E+01  0.352E-02  0.802E-04  0.251E-04   19   6  24    2  17   0    1  12   2    0.000    0.000       2
+  0     16 00:00:26.33   2.6600A   3.3825   1.3968   1.2433  0.132  0.00  -0.634E-02      0.  0.444E+01  0.348E-02  0.758E-04  0.252E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     17 00:00:29.00   2.6600A   3.3827   1.4033   1.2388  0.131  0.00  -0.649E-02      0.  0.444E+01  0.345E-02  0.737E-04  0.244E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     18 00:00:31.66   2.6600A   3.3829   1.4106   1.2353  0.130  0.00  -0.651E-02      0.  0.444E+01  0.342E-02  0.723E-04  0.234E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     19 00:00:34.32   2.6600A   3.3831   1.4182   1.2329  0.129  0.00  -0.661E-02      0.  0.444E+01  0.339E-02  0.713E-04  0.230E-04   19   7  23    2  17   0    1  12   2    0.000    0.000       2
+  0     20 00:00:36.98   2.6600A   3.3833   1.4254   1.2314  0.128  0.00  -0.648E-02      0.  0.444E+01  0.336E-02  0.697E-04  0.226E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     21 00:00:39.64   2.6600D   3.3835   1.4320   1.2306  0.128  0.00  -0.649E-02      0.  0.444E+01  0.333E-02  0.680E-04  0.224E-04   19   8  23    2  17   0    1  12   2    0.000    0.000       2
+  0     22 00:00:42.29   2.5300D   3.3837   1.4377   1.2303  0.127  0.00  -0.659E-02      0.  0.444E+01  0.331E-02  0.667E-04  0.221E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
+  0     23 00:00:44.82   2.4200D   3.3839   1.4475   1.2348  0.126  0.00  -0.665E-02      0.  0.444E+01  0.329E-02  0.633E-04  0.210E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
+  0     24 00:00:47.25   2.3200D   3.3840   1.4563   1.2402  0.126  0.00  -0.662E-02      0.  0.444E+01  0.327E-02  0.603E-04  0.200E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
+  0     25 00:00:49.57   2.2400D   3.3842   1.4642   1.2457  0.126  0.00  -0.657E-02      0.  0.444E+01  0.326E-02  0.576E-04  0.190E-04   19   8  24    2  17   0    1  12   2    0.000    0.000       2
+  0     26 00:00:51.81   2.1600D   3.3844   1.4711   1.2506  0.125  0.00  -0.652E-02      0.  0.444E+01  0.324E-02  0.553E-04  0.183E-04   19   8  25    2  17   0    1  12   2    0.000    0.000       2
Index: palm/trunk/TESTS/cases/rans_tkee/case_config.yml
===================================================================
--- palm/trunk/TESTS/cases/rans_tkee/case_config.yml	(revision 3541)
+++ palm/trunk/TESTS/cases/rans_tkee/case_config.yml	(revision 3541)
@@ -0,0 +1,17 @@
+---
+# this is a palmtest job configuration file
+
+allowed_builds:
+  - gfortran_default
+  - intel_default
+
+allowed_number_of_cores:
+  - 4
+
+activation_strings:
+  - "d3#"
+
+significant_digits_for_netcdf_checks:
+  timeseries: 6
+  profiles: 6
+  other: 8