Index: /palm/trunk/SCRIPTS/batch_scp
===================================================================
--- /palm/trunk/SCRIPTS/batch_scp	(revision 3548)
+++ /palm/trunk/SCRIPTS/batch_scp	(revision 3549)
@@ -27,4 +27,7 @@
 # -----------------
 # $Id$
+# english translation of german comments / variable names
+# 
+# 2718 2018-01-02 08:49:38Z maronga
 # Corrected "Former revisions" section
 # 
@@ -87,5 +90,5 @@
 
  
-    # VARIABLENVEREINBARUNGEN + DEFAULTWERTE 
+    # VARIABLE DECLARATIONS + DEFAULT VALUES 
  random=$RANDOM
 
@@ -111,6 +114,7 @@
  typeset -i iii icycle maxcycle=0 usecycle wait=0
 
-    # FEHLERBEHANDLUNG
-    # BEI EXIT:
+
+    # ERROR HANDLING IN CASE ...
+    # ... EXIT
  trap 'if [[ $locat != normal ]]
        then
@@ -125,5 +129,5 @@
 
 
-    # BEI TERMINAL-BREAK:
+    # ... TERMINAL-BREAK:
  trap 'rm -rf $filelist $errfile
        printf " +++ BATCH_SCP terminated \n\n"
@@ -132,5 +136,5 @@
 
 
-    # SHELLSCRIPT-OPTIONEN EINLESEN
+    # READ SHELLSCRIPT-OPTIONS
  while  getopts  :aAbcCdgmnoP:qsu:U:w:  option
  do
@@ -164,5 +168,5 @@
 
  
-    # KURZE AUFRUFBESCHREIBUNG WIRD HIER AUSGEGEBEN
+    # LIST SHORT DESCRIPTION OF AVAILABLE OPTIONS
  if [ "$1" = "?" ]
  then
@@ -194,5 +198,5 @@
     printf "\n      any time and have the following meaning:"
     printf "\n        <param1>  -  IP-adress of destination host"
-    printf "\n                     or \"?\"  (creates this outline)"
+    printf "\n                     or \"?\"  (creates this short summary of options)"
     printf "\n        <param2>  -  abs. or rel. path of file to be transferred"
     printf "\n        <param3>  -  directory (abs.!) on destination host. Special cahracters"
@@ -206,5 +210,5 @@
 
 
-    # PRUEFEN, OB ALLE ARGUMENTE VORLIEGEN
+    # CHECK FOR COMPLETENESS OF ARGUMENTS
  if [[ "$1" = "" ]]
  then
@@ -229,19 +233,11 @@
  if [[ -z $remote_user ]]
  then
-
-       # PRUEFEN, OB NETRC-DATEI VORHANDEN
-    if [[ ! -f ~/.netrc ]]
-    then
-       printf " +++ option -u not given; \n"
-       printf "     getting remote-username from password file failed \n"
-       printf "     because ~/.netrc does not exist \n"
-       locat=netrc; exit
-    fi
-    grep  $1  ~/.netrc | read dum dum dum remote_user dum dum
- fi
-
-
-    # APPEND IST NUR BEI TRANSFER EINZELNER DATEIEN OHNE UEBERSCHREIBEN
-    # ERLAUBT. GET IST DABEI EBENFALLS NICHT ERLAUBT
+    printf " +++ option -u is missing \n"
+    locat=remote_user; exit
+ fi
+
+
+    # APPEND IS ONLY ALLOWED FOR TRANSFER OF SINGLE FILES WITHOUT OVERWRITING
+    # IN SUCH A CASE GET IS NOT ALLOWED TOO
  if [[ $append = true  &&  ( $get = true || $catalog_copy = true || $overwrite = true ) ]]
  then
@@ -251,5 +247,5 @@
 
 
-    # QUOTE WAIT FUNKTIONIERT NICHT BEIM KOPIEREN GANZER VERZEICHNISSE
+    # QUOTE WAIT DOES NOT WORK IF COMPLETE FOLDERS ARE COPIED
  if [[ $quote_wait = true  &&  $catalog_copy = true ]]
  then
@@ -259,14 +255,14 @@
 
 
-    # IM CHECK-MODUS WIRD SCRIPT HIER BEENDET
+    # SCRIPT WILL BE ENDED HERE IN CASE OF CHECK-MODE
  [[ $check = true ]]  &&  exit
 
 
-    # BESTIMMTE ZEIT WARTEN, BIS WEITERGEMACHT WIRD (NOETIG Z.B. BEI TRANSFER
-    # VON JOBPROTOKOLLEN AUS JOBS HERAUS)
+    # WAIT A BIT (MAY BE REQUIRED IN CASE OF TRANSFERS OF JOB PROTOCOLS FROM
+    # WITHIN A JOB)
  sleep  $wait
 
 
-    # Set port number option for calls of ssh/scp, subjob and batch_scp scripts
+    # SET PORT NUMBER OPTION FOR CALLS OF SSH/SCP
  if [[ "$scp_port" != "" ]]
  then
@@ -276,5 +272,5 @@
 
 
-    # PRUEFEN, OB LOKALE DATEI/LOKALES VERZEICHNIS VORHANDEN BZW. NICHT VORHANDEN
+    # CHECK, IF LOCAL FILE/FOLDER EXISTS
  if [[ $get = false ]]
  then
@@ -308,5 +304,5 @@
        else
 
-             # PRUEFEN, OB SICH LOKALE DATEI ANLEGEN LAESST
+             # CHECK, IF LOCAL FILE CAN BE CREATED
           local_dirname=`dirname $2`
           if [[ ! -d $local_dirname ]]
@@ -330,5 +326,5 @@
 
 
-    # VERZEICHNISLSTE DES ZIELRECHNERS ERSTELLEN
+    # CREATE FILE LIST OF THE TARGET HOST FOLDER
  ssh $SSH_PORTOPT $1 -l $remote_user "unset LANG; cd $3; ls -1; echo '*** list complete'" > $filelist  2>&1
  ssh_status=$?
@@ -350,7 +346,6 @@
 
 
-    # PRUEFEN, OB VERZEICHNIS VORHANDEN IST. WENN GANZES VERZEICHNISS ZUM
-    # ZIELRECHNER KOPIERT WERDEN SOLL, DARF DORT NOCH KEIN ENTSPRECHENDES
-    # VERZEICHNIS VORHANDEN SEIN
+    # CHECK, IF FOLDER EXISTS. A FOLDER MUST NOT EXIST, IF COMPLETE FOLDERS
+    # SHALL BE COPIED TO THE TARGET HOST
  if [[ $(cat $filelist | grep -c "not found") != 0  || \
        $(cat $filelist | grep -c "No such file or directory") != 0 ]]
@@ -375,12 +370,11 @@
 
 
-    # PRUEFEN, OB DATEI/VERZEICHNIS VORHANDEN, WENN JA, HOECHSTEN ZYKLUS
-    # ERMITTELN (BZW. IM ABSOLUT-MODUS PRUEFEN, OB DATEI VORHANDEN IST)
-    # DAS GANZE ABER NUR, WENN NICHT OVERWRITE-MODUS GEWAEHLT WURDE, DIE
-    # EVENTUELL VORHANDENE DATEI ALSO UEBERSCHRIEBEN WERDEN SOLL
+    # CHECK, IF FILE/FOLDER EXISTS. IF SO, DETERMINE HIGHEST CYCLE NUMBER
+    # (OR CHECK, IN ABSOLUT-MODE, IF FILE EXSITS)
+    # BUT DO THIS IN NON-OVERWRITE-MODE ONLY
  found=false
  if [[ ( $overwrite = false   &&  $get = false )  ||  $get = true ]]
  then
-    while  read zeile
+    while  read line
     do
        if [[ $absolut = false ]]
@@ -389,13 +383,13 @@
           if [[ "$5" != ""  &&  "$5" != " " ]]
           then
-             extension=${zeile##*.}
+             extension=${line##*.}
              if [[ $extension = $5 ]]
              then
-                text=${zeile%.*}
+                text=${line%.*}
              else
-                text=${zeile}
+                text=${line}
              fi
           else
-             text=${zeile}
+             text=${line}
           fi
 
@@ -446,7 +440,6 @@
        else
 
-             # IM ABSOLUT-MODUS MUSS NUR GEPRUEFT WERDEN, OB DIE DATEI
-             # VORHANDEN IST
-          [[ $4 = $zeile ]]  &&  found=true
+             # ABSOLUT-MODE ONLY REQUIRES TO CHECK IF FILE EXISTS
+          [[ $4 = $line ]]  &&  found=true
        fi
 
@@ -523,6 +516,5 @@
     fi
 
-       # ABBRUCH, WENN DATEI VON ZIELRECHNER GEHOLT WERDEN SOLL, DORT ABER
-       # NICHT VORHANDEN IST
+       # EXIT, IF FILE SHALL BE GET FROM THE TARGET HOST, BUT DOESN'T EXIST
     if [[ $get = true ]]
     then
@@ -534,6 +526,6 @@
 
 
-    # FALLS KATALOG ERZEUGT WIRD, DARF DIE DATEI IN KEINEM FALL EINE
-    # ZYKLUSNUMMER BESITZEN, DA SIE JA NOCh GARNICHT EXISTIEREN KANN
+    # IF A FOLDER IS CREATED, THE FILENAME MUST NOT CONTAIN A CYCLE NUMBER IN
+    # ANY CASE, SINCE IT CANNOT HAVE ONE
  if [[ $make_catalog = force ]]
  then
@@ -543,6 +535,6 @@
 
  
-    # FALLS NAMENSOPTION (-n) GEWAEHLT WURDE, NUR DEN ERMITTELTEN LOKALEN
-    # DATEINAMEN DES ZIELRECHNERS AUSGEBEN UND SCRIPT BEENDEN
+    # IF NAME-OPTION (-n) IS CHOSEN, ONLY DETERMINE THE LOCAL FILENAME ON THE
+    # TARGET HOST AND EXIT THE SCRIPT
  if [[ $print_local_filename = true ]]
  then
@@ -553,7 +545,6 @@
 
 
-    # FALLS 5. ARGUMENT ANGEGEBEN WURDE, WIRD DIES ALS FILE-EXTENSION
-    # HINTER DIE ZYKLUS-NUMMER GEHAENGT (FUNKTIONIERT NUR BEI KOPIEREN EINER
-    # DATEI AUF ZIELRECHNER
+    # IF A 5. ARGUMENT IS GIVEN, IT WILL BE PUT AS FILENAME EXTENSION/APPENDIX
+    # AFTER THE CYCLE NUMBER (ONLY WORKS IN CASE OF FILE COPY TO THE TARGET HOST)
  if [[ "$5" != ""  &&  $get = false ]]
  then
@@ -562,6 +553,6 @@
 
 
-    # BEI VERZEICHNISTRANSFER VON ZIELRECHNER AUF LOKALEN RECHNER PRUEFEN, OB
-    # $3 AUF ZIELRECHNER WIRKLICH EIN VERZEICHNIS IST
+    # IN CASE OF FOLDER TRANSER TO THE TARGET HOST, CHECK IF ARGUMENT $3 REALLY
+    # REFERS TO A FOLDER ON THE TARGET HOST
  if [[ $catalog_copy = true  &&  $get = true ]]
  then
@@ -584,6 +575,6 @@
 
 
-    # BEI KATALOGTRANSFER AUF LOKALEN RECHNER ENTSPRECHENDES VERZEICHNIS
-    # ANLEGEN
+    # IN CASE OF FOLDER TRANSFER FROM THE TARGET HOST TO THE LOCAL HOST,
+    # CREATE THE RESPECTIVE FOLDER ON THE LOCAL HOST
  if [[ $catalog_copy = true ]]
  then
@@ -599,5 +590,5 @@
 
 
-    # DATEI/VERZEICHNIS PER SCP UEBERTRAGEN
+    # COPY FILE/FOLDER VIA SCP
  if [[ $get = false ]]
  then
@@ -617,6 +608,5 @@
           if [[ $scp_status != 0 ]]
           then
-                # CHECK, OB DATEIGROESSEN AUF LOKALEM UND REMOTERECHNER
-                # UEBEREINSTIMMEN
+                # CHECK, IF FILE SIZES ON LOCAL HOST AND TARGET HOST MATCH
              local_size=`ls -al  $2`
              local_size=`echo $local_size | cut -d" " -f5`
@@ -640,6 +630,5 @@
           if [[ $? != 0 ]]
           then
-                # CHECK, OB DATEIGROESSEN AUF LOKALEM UND REMOTERECHNER
-                # UEBEREINSTIMMEN
+                # CHECK, OB IF FILE SIZES ON LOCAL HOST AND TARGET HOST MATCH
              local_size=`ls -al  $2`
              local_size=`echo $local_size | cut -d" " -f5`
@@ -724,5 +713,5 @@
 
 
-    # EVTL. TRANSFERIERTE DATEI AUF LOKALEM RECHNER LOESCHEN
+    # DELETE TRANSFERED FILE ON THE LOCAL HOST
  if [[ $delete = true  &&  $get = false ]]
  then
@@ -732,5 +721,5 @@
 
 
-    # ABSCHLUSSMELDUNG
+    # FINAL MESSAGES
  if [[ $silent = false ]]
  then
Index: /palm/trunk/SCRIPTS/palmbuild
===================================================================
--- /palm/trunk/SCRIPTS/palmbuild	(revision 3548)
+++ /palm/trunk/SCRIPTS/palmbuild	(revision 3549)
@@ -27,4 +27,8 @@
 # -----------------
 # $Id$
+# ssh-calls for compilations on remote systems modified to avoid output
+# of login messages on specific systems
+# 
+# 3534 2018-11-19 15:35:16Z raasch
 # build of inifor added,
 # ssh-calls rearranged to avoid output of system/user-profile messages
@@ -484,7 +488,7 @@
     answer=dummy
     printf "\n"
-    while [[ "$answer" != y  &&  "$answer" != Y  && "$answer" != c  &&  "$answer" != C  && "$answer" != s  &&  "$answer" != S  &&  "$answer" != a  &&  "$answer" != A ]]
+    while [[ "$answer" != y  &&  "$answer" != Y  && "$answer" != s  &&  "$answer" != S  &&  "$answer" != a  &&  "$answer" != A ]]
     do
-       printf " >>> continue (y(es)/c(ontinue)/a(bort)) ?  "
+       printf " >>> continue (y(es)/a(bort)) ?  "
        read  answer
     done
@@ -492,8 +496,4 @@
     then
        locat=user_abort; exit
-    fi
-    if [[ $answer = c  ||  $answer = C ]]
-    then
-       silent=true
     fi
  fi
@@ -533,9 +533,7 @@
           echo " "
           echo "  *** copying \"${program_name}_sources.tar\" to \"${remote_ip}:${make_depository}/\" "
-###          echo "[[ ! -d ${make_depository} ]]  &&  (echo \"  *** ${make_depository} will be created\"; mkdir -p  ${make_depository})"  |  ssh  -q  $ssh_key ${remote_username}@${remote_ip}  2>&1
           ssh  -q  $ssh_key ${remote_username}@${remote_ip}  "[[ ! -d ${make_depository} ]]  &&  (echo \"  *** ${make_depository} will be created\"; mkdir -p  ${make_depository})"  2>&1
           scp  $ssh_key ${source_path}/${program_name}_sources.tar  ${remote_username}@${remote_ip}:${make_depository}/${program_name}_sources.tar
        else
-###          echo "[[ ! -d ${make_depository} ]]  &&  mkdir -p  ${make_depository}"  |  ssh  -q  $ssh_key ${remote_username}@${remote_ip}  2>&1
           ssh  -q  $ssh_key ${remote_username}@${remote_ip}  "[[ ! -d ${make_depository} ]]  &&  mkdir -p  ${make_depository}"  2>&1
           scp  $ssh_key ${source_path}/${program_name}_sources.tar  ${remote_username}@${remote_ip}:${make_depository}/${program_name}_sources.tar  >  /dev/null
@@ -550,5 +548,4 @@
           echo "  *** untar previous update on remote host, if existing"
        fi
-###       echo "cd ${make_depository}; [[ -f ${program_name}_current_version.tar ]]  &&  tar -xf  ${program_name}_current_version.tar"  |  ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  2>&1
        ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  "cd ${make_depository}; [[ -f ${program_name}_current_version.tar ]]  &&  tar -xf  ${program_name}_current_version.tar"  2>&1
 
@@ -559,5 +556,4 @@
           echo "  *** untar current sources on remote host"
        fi
-###       echo  "cd ${make_depository}; tar -xf  ${program_name}_sources.tar"  |  ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  2>&1
        ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  "cd ${make_depository}; tar -xf  ${program_name}_sources.tar"  2>&1
 
@@ -575,5 +571,5 @@
        fi
        make_call_string="make  -f Makefile_utilities  $make_options  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$linker_options\" "
-       echo "$login_init_cmd $module_commands cd ${make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${configuration_identifier}_last_make_protocol
+       echo "$login_init_cmd $module_commands cd ${make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>/dev/null | tee ${configuration_identifier}_last_make_protocol
 ###       ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  "$login_init_cmd $module_commands cd ${make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR"  2>&1 | tee ${configuration_identifier}_last_make_protocol
 
@@ -649,5 +645,4 @@
           printf "\n  *** tar update on remote host ..."
        fi
-###       echo  "cd ${make_depository}; chmod u+w *; tar -cf  ${program_name}_current_version.tar  ${program_name}  *.f90 *.o *.mod *.x"  |  ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  2>&1
        ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  "cd ${make_depository}; chmod u+w *; tar -cf  ${program_name}_current_version.tar  ${program_name}  *.f90 *.o *.mod *.x"  2>&1
 
@@ -661,5 +656,4 @@
           # FIRST CHECK, IF COMPILED SOURCES FOR THIS RUN IDENTIFIER EXISTS
           # AND ASK, IF THEY SHALL BE USED
-###       echo  "[[ -d ${fast_io_catalog}/${sources_for_run_catalog} ]]  &&  echo sources for run found" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1  >  ${configuration_identifier}_last_make_protocol
        ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  "[[ -d ${fast_io_catalog}/${sources_for_run_catalog} ]]  &&  echo sources for run found"  2>&1  >  ${configuration_identifier}_last_make_protocol
        if [[ $(grep -c "sources for run found" ${configuration_identifier}_last_make_protocol) != 0  &&  $use_existing_sources_folder = true ]]
@@ -676,5 +670,4 @@
           printf "\n  *** copy MAKE_DEPOSITORY_${configuration_identifier} on remote host to $sources_for_run_catalog \n"
        fi
-###       echo  "rm -rf ${fast_io_catalog}/${sources_for_run_catalog}; mkdir -p ${fast_io_catalog}/${sources_for_run_catalog}; cp ${make_depository}/${program_name}_current_version.tar  ${fast_io_catalog}/${sources_for_run_catalog}; cd ${fast_io_catalog}/${sources_for_run_catalog}; tar xf ${program_name}_current_version.tar"  |  ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  2>&1
        ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  "rm -rf ${fast_io_catalog}/${sources_for_run_catalog}; mkdir -p ${fast_io_catalog}/${sources_for_run_catalog}; cp ${make_depository}/${program_name}_current_version.tar  ${fast_io_catalog}/${sources_for_run_catalog}; cd ${fast_io_catalog}/${sources_for_run_catalog}; tar xf ${program_name}_current_version.tar"  2>&1
 
@@ -700,5 +693,4 @@
              echo "  *** execute \"make\" on remote host"
           fi
-###          echo "$login_init_cmd $module_commands cd ${fast_io_catalog}/${sources_for_run_catalog}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${configuration_identifier}_last_make_protocol
           ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  "$login_init_cmd $module_commands cd ${fast_io_catalog}/${sources_for_run_catalog}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR"  2>&1 | tee ${configuration_identifier}_last_make_protocol
 
@@ -721,5 +713,4 @@
                 if [[ $answer = k ]]
                 then
-###                   echo "rm -rf ${fast_io_catalog}/${sources_for_run_catalog}" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1
                    ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  "rm -rf ${fast_io_catalog}/${sources_for_run_catalog}"  2>&1
                    locat=user_abort; exit
@@ -727,5 +718,4 @@
              else
                    # ABORT ANYWAY
-###                echo "rm -rf ${fast_io_catalog}/${sources_for_run_catalog}" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1
                 ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  "rm -rf ${fast_io_catalog}/${sources_for_run_catalog}"  2>&1
                 locat=user_abort; exit
Index: /palm/trunk/SCRIPTS/palmrun
===================================================================
--- /palm/trunk/SCRIPTS/palmrun	(revision 3548)
+++ /palm/trunk/SCRIPTS/palmrun	(revision 3549)
@@ -27,4 +27,8 @@
 # -----------------
 # $Id$
+# ssh-call for submitting batch jobs on remote systems modified to avoid output
+# of login messages on specific systems
+# 
+# 3534 2018-11-19 15:35:16Z raasch
 # batch_scp for sending back the job protocol file is called via login-node if
 # a login-node has been set in the config-file
@@ -1830,5 +1834,4 @@
        line=`grep %base_directory $config_file`
        make_depository=`echo $line | cut -d" " -s -f2`/MAKE_DEPOSITORY_${configuration_identifier}
-###       echo  "[[ ! -d ${make_depository} ]]  &&  echo depository not found" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1  | tee ${configuration_identifier}_last_make_protokoll
        ssh  -q  $ssh_key  ${remote_username}@${remote_ip} "[[ ! -d ${make_depository} ]]  &&  echo depository not found" 2>&1  | tee ${configuration_identifier}_last_make_protokoll
 
@@ -2575,5 +2578,4 @@
                 if [[ "$remote_loginnode" != "" ]]
                 then
-###                   echo "cd $tempdir; ${fast_io_catalog}/${sources_for_run_catalog}/batch_scp $PORTOPT $catalog_option $append_option -b -m $usecycle_option -u $local_username $return_address  ${localout[$i]} \"${pathout[$i]}\" ${configuration_identifier}_${run_identifier}${endout[$i]}  ${extout[$i]}"  |  ssh -q $remote_username@$remote_loginnode
                    ssh -q $remote_username@$remote_loginnode  "cd $tempdir; ${fast_io_catalog}/${sources_for_run_catalog}/batch_scp $PORTOPT $catalog_option $append_option -b -m $usecycle_option -u $local_username $return_address  ${localout[$i]} \"${pathout[$i]}\" ${configuration_identifier}_${run_identifier}${endout[$i]}  ${extout[$i]}"
                 else
@@ -2767,5 +2769,4 @@
              ssh -q $remote_username@$remote_loginnode  "ssh -q $SSH_PORTOPT  $local_username@$return_address \" PATH=\\\$PATH:$LOCAL_PALMRUN_PATH; cd $LOCAL_PWD; $prc\" " |  tee palmrun_restart.log
           else
-###             echo \" PATH=\\\$PATH:$LOCAL_PALMRUN_PATH; cd $LOCAL_PWD; $prc\" |  ssh -q $SSH_PORTOPT  $local_username@$return_address  |  tee palmrun_restart.log
              ssh -q $SSH_PORTOPT  $local_username@$return_address  " PATH=\\\$PATH:$LOCAL_PALMRUN_PATH; cd $LOCAL_PWD; $prc" |  tee palmrun_restart.log
           fi
@@ -2999,5 +3000,4 @@
 
              # CREATE REMOTE JOB FOLDER, IF IT DOES NOT EXIST
-###          echo "[[ ! -d $remote_jobcatalog ]]  &&  mkdir $remote_jobcatalog"  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>&1
           ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  "[[ ! -d $remote_jobcatalog ]]  &&  mkdir $remote_jobcatalog"  2>&1
 
@@ -3010,12 +3010,10 @@
 
              # SUBMIT THE JOB
-          printf " *** submit the job (output of submit command, e.g. the job-id, may follow)"
+          printf " *** submit the job (output of submit command, e.g. the job-id, may follow) \n"
           if [[ $do_trace = true ]]
           then
-###             echo "     cd $remote_jobcatalog; $submit_command ${configuration_identifier}_${run_id}; rm ${configuration_identifier}_${run_id}  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>&1"
-             echo "     ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  \"cd $remote_jobcatalog; $submit_command ${configuration_identifier}_${run_id}; rm ${configuration_identifier}_${run_id}\"  2>&1"
+             echo "     echo \"cd $remote_jobcatalog; $submit_command ${configuration_identifier}_${run_id}; rm ${configuration_identifier}_${run_id}\"  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>/dev/null"
           fi
-          echo "cd $remote_jobcatalog; $submit_command ${configuration_identifier}_${run_id}; rm ${configuration_identifier}_${run_id}"  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>&1
-###          ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  "cd $remote_jobcatalog; $submit_command ${configuration_identifier}_${run_id}; rm ${configuration_identifier}_${run_id}"  2>&1
+          echo "cd $remote_jobcatalog; $submit_command ${configuration_identifier}_${run_id}; rm ${configuration_identifier}_${run_id}"  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>/dev/null
 
        elif [[ $create_batch_job = true ]]