Index: palm/trunk/SOURCE/subsidence_mod.f90
===================================================================
--- palm/trunk/SOURCE/subsidence_mod.f90	(revision 3302)
+++ palm/trunk/SOURCE/subsidence_mod.f90	(revision 3554)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! add subroutine and variable description
+! 
+! 3302 2018-10-03 02:39:40Z raasch
 ! small message change
 ! 
@@ -124,5 +127,5 @@
 ! Description:
 ! ------------
-!> @todo Missing subroutine description.
+!> Initialize vertical subsidence velocity w_subs.
 !------------------------------------------------------------------------------!
     SUBROUTINE init_w_subsidence 
@@ -142,9 +145,9 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i !< 
-       INTEGER(iwp) ::  k !< 
-
-       REAL(wp)     ::  gradient   !< 
-       REAL(wp)     ::  ws_surface !< 
+       INTEGER(iwp) ::  i !< loop index
+       INTEGER(iwp) ::  k !< loop index
+
+       REAL(wp)     ::  gradient   !< vertical gradient of subsidence velocity
+       REAL(wp)     ::  ws_surface !< subsidence velocity at the surface
 
        IF ( .NOT. ALLOCATED( w_subs ) )  THEN
@@ -201,5 +204,5 @@
 ! Description:
 ! ------------
-!> @todo Missing subroutine description.
+!> Add effect of large-scale subsidence to variable.
 !------------------------------------------------------------------------------!
     SUBROUTINE subsidence( tendency, var, var_init, ls_index ) 
@@ -223,16 +226,16 @@
        IMPLICIT NONE
  
-       INTEGER(iwp) ::  i !< 
-       INTEGER(iwp) ::  j !< 
-       INTEGER(iwp) ::  k !< 
-       INTEGER(iwp) ::  ls_index !<
-
-       REAL(wp)     ::  tmp_tend !<
-       REAL(wp)     ::  tmp_grad !< 
+       INTEGER(iwp) ::  i        !< loop index
+       INTEGER(iwp) ::  j        !< loop index
+       INTEGER(iwp) ::  k        !< loop index
+       INTEGER(iwp) ::  ls_index !< index of large-scale subsidence in sums_ls_l
+
+       REAL(wp)     ::  tmp_tend !< temporary tendency
+       REAL(wp)     ::  tmp_grad !< temporary gradient 
     
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var      !< 
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  tendency !< 
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_init                     !< 
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_mod                      !< 
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var      !< variable where to add subsidence
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  tendency !< tendency of var
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_init                     !< initialization profile of var
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_mod                      !< modified profile of var
 
        var_mod = var_init
@@ -316,5 +319,5 @@
 ! Description:
 ! ------------
-!> @todo Missing subroutine description.
+!> Add effect of large-scale subsidence to variable.
 !------------------------------------------------------------------------------!
  SUBROUTINE subsidence_ij( i, j, tendency, var, var_init, ls_index ) 
@@ -337,16 +340,16 @@
        IMPLICIT NONE
  
-       INTEGER(iwp) ::  i !< 
-       INTEGER(iwp) ::  j !< 
-       INTEGER(iwp) ::  k !< 
-       INTEGER(iwp) ::  ls_index !<
-
-       REAL(wp)     ::  tmp_tend !<
-       REAL(wp)     ::  tmp_grad !< 
+       INTEGER(iwp) ::  i        !< loop variable
+       INTEGER(iwp) ::  j        !< loop variable
+       INTEGER(iwp) ::  k        !< loop variable
+       INTEGER(iwp) ::  ls_index !< index of large-scale subsidence in sums_ls_l
+
+       REAL(wp)     ::  tmp_tend !< temporary tendency
+       REAL(wp)     ::  tmp_grad !< temporary gradient
     
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var      !< 
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  tendency !< 
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_init                     !< 
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_mod                      !< 
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var      !< variable where to add subsidence
+       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  tendency !< tendency of var
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_init                     !< initialization profile of var
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  var_mod                      !< modified profile of var
 
        var_mod = var_init